var TrigChart = {
    stripChart: null,
    unitCircle: null,
    canvas: null,
    ctx: null,
    
    init: function(canvasId) {
        this.stripChart = Object.create(StripChart);
        this.unitCircle = Object.create(Triangle);
        this.canvas = document.getElementById(canvasId);
        this.ctx = this.canvas.getContext("2d");
        this.stripChart.init(canvasId, {draggable: false, amplitude: 1});

        this.unitCircle.init(canvasId, {length: 80, maxAngle: 360, currentAngle: 0,
            drawArc: true, drawLegs: true
        });

        this.unitCircle.left = this.stripChart.LEFT_MARGIN + this.stripChart.WIDTH + 10;
        this.unitCircle.top = this.stripChart.TOP_MARGIN;
    },
    
    draw: function() {
        this.stripChart.draw();
        this.unitCircle.draw();
    }
}
